pkgname=zlib
pkgver=1.2.3.3
pkgrel=3
pkgdesc="一种压缩、解压缩库"
arch=('arm')
license=('custom:zlib')
url="http://www.zlib.net/"
groups=('base')
depends=('glibc')
source=("ftp://ftp.archlinux.org/other/zlib/zlib-${pkgver}.tar.gz")
md5sums=('c444cf020e5f0e3323b11f5a2d8af8d3')

build() {
	cd ${srcdir}/zlib-$pkgver

	# zlib没有交叉编译的选项，所以要手动设置CC变量
	CC=arm-none-linux-gnueabi-gcc ./configure --prefix=/ --shared
	make || return 1
	make install prefix=${pkgdir} || return 1

	# 清除一些不需要的东西
	rm -r ${pkgdir}/{share,lib/{pkgconfig,*.a}}
}
